import { configureStore } from '@reduxjs/toolkit'
import headerSlice from '../Components/features/common/headerSlice'
import modalSlice from '../Components/features/common/modalSlice'
import rightDrawerSlice from '../Components/features/common/rightDrawerSlice'

const combinedReducer = {
    header: headerSlice,
    rightDrawer: rightDrawerSlice,
    modal: modalSlice,
}

export default configureStore({
    reducer: combinedReducer
})